<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=0.86, maximum-scale=5.0, minimum-scale=0.86">
    <title>GNU social &mdash; Summer of Code 2021 Ideas</title>
    <link rel="shortcut icon" href="../../favicon.ico">
    <link rel="stylesheet" href="../../assets/css/reset.css">
    <link rel="stylesheet" href="../../assets/css/blog.css">
    <link rel="stylesheet" href="../../assets/fonts/opensans/opensans.css">
</head>

<body>
<header>
    <div class="home-menu menu menu-horizontal menu-fixed">
        <a class="menu-heading" href="https://gnusocial.rocks/">
            <img src="https://www.gnusocial.rocks/assets/img/gnu-social-logo-invert.svg" alt="GNU social">
            <b>gnu
            </b>social
        </a>
    </div>
    <div class="sidebar">
        <ul class="menu-list">
          <li class="menu-item"><a href="/soc" class="menu-link">Programme</a></li>
          <li class="menu-item menu-selected">2021</li>
          <li class="menu-item"><a href="/soc/#about-soc" class="menu-link">About</a></li>
          <li class="menu-item"><a href="#ideas" class="menu-link">Ideas</a></li>
          <li class="menu-item"><a href="/soc/#apply" class="menu-link">Apply</a></li>
          <li class="menu-item"><a href="../study_resources.html" class="menu-link">Study Resources</a></li>
          <li class="menu-item"><a href="academics.html" class="menu-link">Academics</a></li>
        </ul>
    </div>
</header>
<div class="content-wrapper">
    <div class="content">

      <h2 class="content-head is-center">Summer of Code 2021</h2>

        <article id="about">
			<h2>About the programme</h2>
			<p>Check the <a href="/soc/">programme page</a> to learn more about the programme and on how to apply.</p>
            <p>GNU social is a social communication software used in <a href="https://blog.diogo.site/posts/what-is-the-fediverse">federated social networks</a>. It is widely supported and has a large userbase.</p>
            <p>If you would like to know how is it like to be a GSoC student at GNU social, <a href="https://blog.diogo.site/posts/gsoc-2018">read this blog post</a>!</p>
        </article>
        <article id="stipend">
            <h2>Summer Stipend</h2>
            <p>Usually we participate in Google Summer of Code and are thus are able to give accepted students a stipend. It's not the case this year. Last year we've had a successful student supported by <a href="https://thefreaks.club/">The Freaks Club</a>, you can reach thndrbvr and try your luck, or look for another sponsor.</p>
        </article>
        <article id="ideas">
            <h2>Ideas</h2>
            <p>The community has not proposed ideas for 2021 yet. As the current development team is planning on major active development of v3 with NLnet sponsorship this year, as a student you can either try to join the development of v3 or contribute with plugins for v2, which is the latest release.</p>
        </article>
    </div>
    <footer class="l-box is-center">
      This site's source is <a href="https://code.undefinedhackers.net/GNUsocial/gnusocial.rocks">hosted here</a>.
    </footer>
  </div>
</body>

</html>
